| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::_child_c::impl

## Synopsis

    // In header: <boost/proto/transform/arg.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :  proto::transform_impl< Expr, State, Data > {
      // types
      typedef typename proto::result_of::child_c< Expr, N >::type result_type;

      // public member functions
      typename proto::result_of::child_c< Expr, N >::type
      operator()(typename impl::expr_param, typename impl::state_param,
                 typename impl::data_param) const;
    };

## Description

### `impl` public member functions

1.     typename proto::result_of::child_c< Expr, N >::type
       operator()(typename impl::expr_param expr, typename impl::state_param,
                  typename impl::data_param) const;

   Returns the N-th child of `expr`

   Parameters: |
   `expr` | The current expression.
   Requires: | `Expr::proto_arity::value > N`
   Returns: | `proto::child_c<N>(expr)`
   Throws: | Will not throw.